net.sf.jasperreports.components.spiderchart

## Class StandardChartSettings

- java.lang.Object
- - net.sf.jasperreports.components.spiderchart.StandardChartSettings

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ChartSettings, JRChangeEventsSupport, JRAnchor, JRCloneable, JRHyperlink

      public class StandardChartSettings
      extends java.lang.Object
      implements ChartSettings, JRChangeEventsSupport

  Version:
    $Id: StandardChartSettings.java 5912 2013-01-31 14:50:33Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `anchorNameExpression`
    `protected java.awt.Color` | `backcolor`
    `protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this chart.
    `static byte` | `CHART_TYPE_SPIDER`
    `protected java.lang.Byte` | `chartType`
    `protected java.lang.String` | `customizerClass`
    `protected JRExpression` | `hyperlinkAnchorExpression`
    `protected JRExpression` | `hyperlinkPageExpression`
    `protected java.util.List<JRHyperlinkParameter>` | `hyperlinkParameters`
    `protected JRExpression` | `hyperlinkReferenceExpression`
    `protected JRExpression` | `hyperlinkTooltipExpression`
    `protected JRExpression` | `hyperlinkWhenExpression`
    `protected java.awt.Color` | `legendBackgroundColor`
    `protected java.awt.Color` | `legendColor`
    `protected JRFont` | `legendFont`
    `protected EdgeEnum` | `legendPosition`
    `protected java.lang.String` | `linkTarget`
    `protected java.lang.String` | `linkType`
    `static java.lang.String` | `PROPERTY_ANCHOR_NAME_EXPRESSION`
    `static java.lang.String` | `PROPERTY_BACKCOLOR`
    `static java.lang.String` | `PROPERTY_BOOKMARK_LEVEL`
    `static java.lang.String` | `PROPERTY_CHART_TYPE`
    `static java.lang.String` | `PROPERTY_CUSTOMIZER_CLASS`
    `static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
    `static java.lang.String` | `PROPERTY_EVALUATION_TIME`
    `static java.lang.String` | `PROPERTY_HYPERLINK_ANCHOR_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HYPERLINK_PAGE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HYPERLINK_PARAMETERS`
    `static java.lang.String` | `PROPERTY_HYPERLINK_REFERENCE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HYPERLINK_TARGET`
    `static java.lang.String` | `PROPERTY_HYPERLINK_TOOLTIP_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HYPERLINK_WHEN_EXPRESSION`
    `static java.lang.String` | `PROPERTY_LEGEND_BACKGROUND_COLOR`
    `static java.lang.String` | `PROPERTY_LEGEND_COLOR`
    `static java.lang.String` | `PROPERTY_LEGEND_FONT`
    `static java.lang.String` | `PROPERTY_LEGEND_POSITION`
    `static java.lang.String` | `PROPERTY_LINK_TARGET`
    `static java.lang.String` | `PROPERTY_LINK_TYPE`
    `static java.lang.String` | `PROPERTY_RENDER_TYPE`
    `static java.lang.String` | `PROPERTY_SHOW_LEGEND`
    `static java.lang.String` | `PROPERTY_SUBTITLE_COLOR`
    `static java.lang.String` | `PROPERTY_SUBTITLE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_SUBTITLE_FONT`
    `static java.lang.String` | `PROPERTY_TITLE_COLOR`
    `static java.lang.String` | `PROPERTY_TITLE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_TITLE_FONT`
    `static java.lang.String` | `PROPERTY_TITLE_POSITION`
    `protected java.lang.String` | `renderType`
    `protected java.lang.Boolean` | `showLegend`
    `protected java.awt.Color` | `subtitleColor`
    `protected JRExpression` | `subtitleExpression`
    `protected JRFont` | `subtitleFont`
    `protected java.awt.Color` | `titleColor`
    `protected JRExpression` | `titleExpression`
    `protected JRFont` | `titleFont`
    `protected EdgeEnum` | `titlePosition`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRAnchor

      `NO_BOOKMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardChartSettings()`
    `StandardChartSettings(ChartSettings chart, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHyperlinkParameter(JRHyperlinkParameter parameter)` Adds a custom hyperlink parameter.
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
    `java.awt.Color` | `getBackcolor()`
    `int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
    `byte` | `getChartType()`
    `java.lang.String` | `getCustomizerClass()` Gets a user specified chart customizer class name.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `JRExpression` | `getHyperlinkAnchorExpression()` Returns the expression whose value represents the anchor.
    `JRExpression` | `getHyperlinkPageExpression()` Returns an integer representing the page index of the link.
    `JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
    `java.util.List<JRHyperlinkParameter>` | `getHyperlinkParametersList()` Returns the list of custom hyperlink parameters.
    `JRExpression` | `getHyperlinkReferenceExpression()` Returns the expression whose value represents the hyperlink reference.
    `byte` | `getHyperlinkTarget()` Retrieves the hyperlink target for the element.
    `JRExpression` | `getHyperlinkTooltipExpression()` Returns the expression which will generate the hyperlink tooltip.
    `byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
    `HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
    `JRExpression` | `getHyperlinkWhenExpression()` Returns the expression that is evaluated in order to decide if the hyperlink should be displayed.
    `java.awt.Color` | `getLegendBackgroundColor()`
    `java.awt.Color` | `getLegendColor()`
    `JRFont` | `getLegendFont()`
    `EdgeEnum` | `getLegendPosition()`
    `java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
    `java.lang.String` | `getLinkType()` Returns the hyperlink type.
    `java.lang.String` | `getRenderType()`
    `java.lang.Boolean` | `getShowLegend()`
    `java.awt.Color` | `getSubtitleColor()`
    `JRExpression` | `getSubtitleExpression()`
    `JRFont` | `getSubtitleFont()`
    `java.awt.Color` | `getTitleColor()`
    `JRExpression` | `getTitleExpression()`
    `JRFont` | `getTitleFont()`
    `EdgeEnum` | `getTitlePosition()`
    `void` | `removeHyperlinkParameter(JRHyperlinkParameter parameter)` Removes a custom hyperlink parameter.
    `void` | `removeHyperlinkParameter(java.lang.String parameterName)` Removes a custom hyperlink parameter.
    `void` | `setAnchorNameExpression(JRExpression anchorNameExpression)`
    `void` | `setBackcolor(java.awt.Color backcolor)`
    `void` | `setBookmarkLevel(int bookmarkLevel)`
    `void` | `setChartType(java.lang.Byte chartType)`
    `void` | `setCustomizerClass(java.lang.String customizerClass)`
    `void` | `setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)`
    `void` | `setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)`
    `void` | `setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)`
    `void` | `setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)`
    `void` | `setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)`
    `void` | `setLegendBackgroundColor(java.awt.Color legendBackgroundColor)`
    `void` | `setLegendColor(java.awt.Color legendColor)`
    `void` | `setLegendFont(JRFont legendFont)`
    `void` | `setLegendPosition(EdgeEnum legendPosition)`
    `void` | `setLinkTarget(java.lang.String linkTarget)`
    `void` | `setLinkType(java.lang.String linkType)`
    `void` | `setRenderType(java.lang.String renderType)`
    `void` | `setShowLegend(java.lang.Boolean isShowLegend)`
    `void` | `setSubtitleColor(java.awt.Color subtitleColor)`
    `void` | `setSubtitleExpression(JRExpression subtitleExpression)`
    `void` | `setSubtitleFont(JRFont subtitleFont)`
    `void` | `setTitleColor(java.awt.Color titleColor)`
    `void` | `setTitleExpression(JRExpression titleExpression)`
    `void` | `setTitleFont(JRFont titleFont)`
    `void` | `setTitlePosition(EdgeEnum titlePosition)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHART_TYPE_SPIDER

          public static final byte CHART_TYPE_SPIDER

      See Also:
        Constant Field Values

    - #### PROPERTY_LEGEND_BACKGROUND_COLOR

          public static final java.lang.String PROPERTY_LEGEND_BACKGROUND_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_LEGEND_COLOR

          public static final java.lang.String PROPERTY_LEGEND_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_LEGEND_POSITION

          public static final java.lang.String PROPERTY_LEGEND_POSITION

      See Also:
        Constant Field Values

    - #### PROPERTY_SHOW_LEGEND

          public static final java.lang.String PROPERTY_SHOW_LEGEND

      See Also:
        Constant Field Values

    - #### PROPERTY_SUBTITLE_COLOR

          public static final java.lang.String PROPERTY_SUBTITLE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_TITLE_COLOR

          public static final java.lang.String PROPERTY_TITLE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_TITLE_POSITION

          public static final java.lang.String PROPERTY_TITLE_POSITION

      See Also:
        Constant Field Values

    - #### PROPERTY_RENDER_TYPE

          public static final java.lang.String PROPERTY_RENDER_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_BOOKMARK_LEVEL

          public static final java.lang.String PROPERTY_BOOKMARK_LEVEL

      See Also:
        Constant Field Values

    - #### PROPERTY_BACKCOLOR

          public static final java.lang.String PROPERTY_BACKCOLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_ANCHOR_NAME_EXPRESSION

          public static final java.lang.String PROPERTY_ANCHOR_NAME_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_GROUP

          public static final java.lang.String PROPERTY_EVALUATION_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_TIME

          public static final java.lang.String PROPERTY_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_CHART_TYPE

          public static final java.lang.String PROPERTY_CHART_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_LEGEND_FONT

          public static final java.lang.String PROPERTY_LEGEND_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_SUBTITLE_EXPRESSION

          public static final java.lang.String PROPERTY_SUBTITLE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_SUBTITLE_FONT

          public static final java.lang.String PROPERTY_SUBTITLE_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_TITLE_EXPRESSION

          public static final java.lang.String PROPERTY_TITLE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_TITLE_FONT

          public static final java.lang.String PROPERTY_TITLE_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_ANCHOR_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_ANCHOR_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_PAGE_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_PAGE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_REFERENCE_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_REFERENCE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_WHEN_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_WHEN_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_TARGET

          public static final java.lang.String PROPERTY_HYPERLINK_TARGET

      See Also:
        Constant Field Values

    - #### PROPERTY_LINK_TARGET

          public static final java.lang.String PROPERTY_LINK_TARGET

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_TOOLTIP_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_TOOLTIP_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_LINK_TYPE

          public static final java.lang.String PROPERTY_LINK_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_PARAMETERS

          public static final java.lang.String PROPERTY_HYPERLINK_PARAMETERS

      See Also:
        Constant Field Values

    - #### PROPERTY_CUSTOMIZER_CLASS

          public static final java.lang.String PROPERTY_CUSTOMIZER_CLASS

      See Also:
        Constant Field Values

    - #### chartType

          protected java.lang.Byte chartType

    - #### showLegend

          protected java.lang.Boolean showLegend

    - #### linkType

          protected java.lang.String linkType

    - #### linkTarget

          protected java.lang.String linkTarget

    - #### hyperlinkParameters

          protected java.util.List<JRHyperlinkParameter> hyperlinkParameters

    - #### backcolor

          protected java.awt.Color backcolor

    - #### titleColor

          protected java.awt.Color titleColor

    - #### subtitleColor

          protected java.awt.Color subtitleColor

    - #### legendColor

          protected java.awt.Color legendColor

    - #### legendBackgroundColor

          protected java.awt.Color legendBackgroundColor

    - #### legendPosition

          protected EdgeEnum legendPosition

    - #### titlePosition

          protected EdgeEnum titlePosition

    - #### renderType

          protected java.lang.String renderType

    - #### titleFont

          protected JRFont titleFont

    - #### subtitleFont

          protected JRFont subtitleFont

    - #### legendFont

          protected JRFont legendFont

    - #### titleExpression

          protected JRExpression titleExpression

    - #### subtitleExpression

          protected JRExpression subtitleExpression

    - #### anchorNameExpression

          protected JRExpression anchorNameExpression

    - #### hyperlinkReferenceExpression

          protected JRExpression hyperlinkReferenceExpression

    - #### hyperlinkWhenExpression

          protected JRExpression hyperlinkWhenExpression

    - #### hyperlinkAnchorExpression

          protected JRExpression hyperlinkAnchorExpression

    - #### hyperlinkPageExpression

          protected JRExpression hyperlinkPageExpression

    - #### hyperlinkTooltipExpression

          protected JRExpression hyperlinkTooltipExpression

    - #### customizerClass

          protected java.lang.String customizerClass

    - #### bookmarkLevel

          protected int bookmarkLevel

      The bookmark level for the anchor associated with this chart.
      See Also:
        `JRAnchor.getBookmarkLevel()`

  - ### Constructor Detail

    - #### StandardChartSettings

          public StandardChartSettings()

    - #### StandardChartSettings

          public StandardChartSettings(ChartSettings chart,
                               JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getShowLegend

          public java.lang.Boolean getShowLegend()

      Specified by:
        `getShowLegend` in interface `ChartSettings`

    - #### setShowLegend

          public void setShowLegend(java.lang.Boolean isShowLegend)

    - #### getBackcolor

          public java.awt.Color getBackcolor()

      Specified by:
        `getBackcolor` in interface `ChartSettings`

    - #### setBackcolor

          public void setBackcolor(java.awt.Color backcolor)

    - #### getTitleFont

          public JRFont getTitleFont()

      Specified by:
        `getTitleFont` in interface `ChartSettings`

    - #### getTitlePosition

          public EdgeEnum getTitlePosition()

      Specified by:
        `getTitlePosition` in interface `ChartSettings`

    - #### setTitlePosition

          public void setTitlePosition(EdgeEnum titlePosition)

    - #### getTitleColor

          public java.awt.Color getTitleColor()

      Specified by:
        `getTitleColor` in interface `ChartSettings`

    - #### setTitleColor

          public void setTitleColor(java.awt.Color titleColor)

    - #### getSubtitleFont

          public JRFont getSubtitleFont()

      Specified by:
        `getSubtitleFont` in interface `ChartSettings`

    - #### getSubtitleColor

          public java.awt.Color getSubtitleColor()

      Specified by:
        `getSubtitleColor` in interface `ChartSettings`

    - #### setSubtitleColor

          public void setSubtitleColor(java.awt.Color subtitleColor)

    - #### getLegendBackgroundColor

          public java.awt.Color getLegendBackgroundColor()

      Specified by:
        `getLegendBackgroundColor` in interface `ChartSettings`

    - #### getLegendColor

          public java.awt.Color getLegendColor()

      Specified by:
        `getLegendColor` in interface `ChartSettings`

    - #### getLegendFont

          public JRFont getLegendFont()

      Specified by:
        `getLegendFont` in interface `ChartSettings`

    - #### setLegendBackgroundColor

          public void setLegendBackgroundColor(java.awt.Color legendBackgroundColor)

    - #### setLegendColor

          public void setLegendColor(java.awt.Color legendColor)

    - #### getLegendPosition

          public EdgeEnum getLegendPosition()

      Specified by:
        `getLegendPosition` in interface `ChartSettings`

    - #### setLegendPosition

          public void setLegendPosition(EdgeEnum legendPosition)

    - #### getHyperlinkType

          public byte getHyperlinkType()

      Deprecated. Replaced by `getHyperlinkTypeValue()`.
      Specified by:
        `getHyperlinkType` in interface `JRHyperlink`

    - #### getHyperlinkTypeValue

          public HyperlinkTypeEnum getHyperlinkTypeValue()

      Description copied from interface: `JRHyperlink`
      Retrieves the hyperlink type for the element.

      The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

      Specified by:
        `getHyperlinkTypeValue` in interface `JRHyperlink`
      Returns:
        one of the hyperlink type constants
      See Also:
        `JRHyperlink.getLinkType()`

    - #### getHyperlinkTarget

          public byte getHyperlinkTarget()

      Description copied from interface: `JRHyperlink`
      Retrieves the hyperlink target for the element.

      The actual hyperlink target is determined by `getLinkTarget()`. This method can is used to determine whether the hyperlink target is one of the built-in target names or a custom one. When hyperlink has a custom target name, `HyperlinkTargetEnum.CUSTOM` is returned.

      Specified by:
        `getHyperlinkTarget` in interface `JRHyperlink`
      Returns:
        one of the hyperlink target constants
      See Also:
        `JRHyperlink.getLinkTarget()`

    - #### getTitleExpression

          public JRExpression getTitleExpression()

      Specified by:
        `getTitleExpression` in interface `ChartSettings`

    - #### getSubtitleExpression

          public JRExpression getSubtitleExpression()

      Specified by:
        `getSubtitleExpression` in interface `ChartSettings`

    - #### getAnchorNameExpression

          public JRExpression getAnchorNameExpression()

      Description copied from interface: `JRAnchor`
      Returns an expression whose value represents the anchor name.
      Specified by:
        `getAnchorNameExpression` in interface `JRAnchor`

    - #### getHyperlinkReferenceExpression

          public JRExpression getHyperlinkReferenceExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression whose value represents the hyperlink reference. It is only used when the hyperlink type is reference or anchor
      Specified by:
        `getHyperlinkReferenceExpression` in interface `JRHyperlink`

    - #### getHyperlinkWhenExpression

          public JRExpression getHyperlinkWhenExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression that is evaluated in order to decide if the hyperlink should be displayed. This expression always returns a boolean value.
      Specified by:
        `getHyperlinkWhenExpression` in interface `JRHyperlink`

    - #### getHyperlinkAnchorExpression

          public JRExpression getHyperlinkAnchorExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression whose value represents the anchor. It is only used when the hyperlink type is anchor.
      Specified by:
        `getHyperlinkAnchorExpression` in interface `JRHyperlink`

    - #### getHyperlinkPageExpression

          public JRExpression getHyperlinkPageExpression()

      Description copied from interface: `JRHyperlink`
      Returns an integer representing the page index of the link. It is only used when the hyperlink type is page. If the expression does not evaluate to an integer, an exception will be thrown.
      Specified by:
        `getHyperlinkPageExpression` in interface `JRHyperlink`

    - #### getChartType

          public byte getChartType()

      Specified by:
        `getChartType` in interface `ChartSettings`

    - #### getRenderType

          public java.lang.String getRenderType()

      Specified by:
        `getRenderType` in interface `ChartSettings`

    - #### setRenderType

          public void setRenderType(java.lang.String renderType)

    - #### getBookmarkLevel

          public int getBookmarkLevel()

      Description copied from interface: `JRAnchor`
      Returns the level of the bookmark corresponding to the anchor.
      Specified by:
        `getBookmarkLevel` in interface `JRAnchor`
      Returns:
        the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

    - #### setBookmarkLevel

          public void setBookmarkLevel(int bookmarkLevel)

    - #### getLinkType

          public java.lang.String getLinkType()

      Description copied from interface: `JRHyperlink`
      Returns the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Specified by:
        `getLinkType` in interface `JRHyperlink`
      Returns:
        the hyperlink type

    - #### getLinkTarget

          public java.lang.String getLinkTarget()

      Description copied from interface: `JRHyperlink`
      Returns the hyperlink target name.

      The type can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Specified by:
        `getLinkTarget` in interface `JRHyperlink`
      Returns:
        the hyperlink target name

    - #### getHyperlinkTooltipExpression

          public JRExpression getHyperlinkTooltipExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression which will generate the hyperlink tooltip.
      Specified by:
        `getHyperlinkTooltipExpression` in interface `JRHyperlink`
      Returns:
        the expression which will generate the hyperlink tooltip

    - #### getCustomizerClass

          public java.lang.String getCustomizerClass()

      Description copied from interface: `ChartSettings`
      Gets a user specified chart customizer class name.
      Specified by:
        `getCustomizerClass` in interface `ChartSettings`
      Returns:
        the customizerClass
      See Also:
        `ChartCustomizer`

    - #### setChartType

          public void setChartType(java.lang.Byte chartType)

      Parameters:
        `chartType` - the chartType to set

    - #### setLinkType

          public void setLinkType(java.lang.String linkType)

      Parameters:
        `linkType` - the linkType to set

    - #### setLinkTarget

          public void setLinkTarget(java.lang.String linkTarget)

      Parameters:
        `linkTarget` - the linkTarget to set

    - #### setTitleFont

          public void setTitleFont(JRFont titleFont)

      Parameters:
        `titleFont` - the titleFont to set

    - #### setSubtitleFont

          public void setSubtitleFont(JRFont subtitleFont)

      Parameters:
        `subtitleFont` - the subtitleFont to set

    - #### setLegendFont

          public void setLegendFont(JRFont legendFont)

      Parameters:
        `legendFont` - the legendFont to set

    - #### setTitleExpression

          public void setTitleExpression(JRExpression titleExpression)

      Parameters:
        `titleExpression` - the titleExpression to set

    - #### setSubtitleExpression

          public void setSubtitleExpression(JRExpression subtitleExpression)

      Parameters:
        `subtitleExpression` - the subtitleExpression to set

    - #### setAnchorNameExpression

          public void setAnchorNameExpression(JRExpression anchorNameExpression)

      Parameters:
        `anchorNameExpression` - the anchorNameExpression to set

    - #### setHyperlinkReferenceExpression

          public void setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)

      Parameters:
        `hyperlinkReferenceExpression` - the hyperlinkReferenceExpression to set

    - #### setHyperlinkWhenExpression

          public void setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)

      Parameters:
        `hyperlinkWhenExpression` - the hyperlinkWhenExpression to set

    - #### setHyperlinkAnchorExpression

          public void setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)

      Parameters:
        `hyperlinkAnchorExpression` - the hyperlinkAnchorExpression to set

    - #### setHyperlinkPageExpression

          public void setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)

      Parameters:
        `hyperlinkPageExpression` - the hyperlinkPageExpression to set

    - #### setHyperlinkTooltipExpression

          public void setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)

      Parameters:
        `hyperlinkTooltipExpression` - the hyperlinkTooltipExpression to set

    - #### setCustomizerClass

          public void setCustomizerClass(java.lang.String customizerClass)

      Parameters:
        `customizerClass` - the customizerClass to set

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### getHyperlinkParameters

          public JRHyperlinkParameter[] getHyperlinkParameters()

      Description copied from interface: `JRHyperlink`
      Returns the list of hyperlink parameters.

      The parameters can be used by custom hyperlink types to generate dynamic links.

      Specified by:
        `getHyperlinkParameters` in interface `JRHyperlink`
      Returns:
        the list of hyperlink parameters

    - #### getHyperlinkParametersList

          public java.util.List<JRHyperlinkParameter> getHyperlinkParametersList()

      Returns the list of custom hyperlink parameters.
      Returns:
        the list of custom hyperlink parameters

    - #### addHyperlinkParameter

          public void addHyperlinkParameter(JRHyperlinkParameter parameter)

      Adds a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to add

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(JRHyperlinkParameter parameter)

      Removes a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to remove

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(java.lang.String parameterName)

      Removes a custom hyperlink parameter.

      If multiple parameters having the specified name exist, all of them will be removed

      Parameters:
        `parameterName` - the parameter name

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com